package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LiberacaoDeCardapioFlows;
import com.javaseleniumtemplate.flows.LoginFlows;
import org.testng.annotations.Test;

public class LiberacaoDeCardapioTests extends TestBase {
    LoginFlows loginFlows;
    LiberacaoDeCardapioFlows liberacaoDeCardapioFlows;

    @Test
    public void liberacaoDeCardapio() {
        loginFlows = new LoginFlows();
        liberacaoDeCardapioFlows = new LiberacaoDeCardapioFlows();

        loginFlows.efetuarLogin();
        liberacaoDeCardapioFlows.acessarTela();
        liberacaoDeCardapioFlows.realizaFiltro();
        liberacaoDeCardapioFlows.liberarCardapioUnidade();
        liberacaoDeCardapioFlows.envioDeEmail();
        liberacaoDeCardapioFlows.cancelaLiberacaoCardapio();
        liberacaoDeCardapioFlows.envioDeEmail();
        liberacaoDeCardapioFlows.realizaFiltroTodos();
        liberacaoDeCardapioFlows.liberaTodosServicos();
        liberacaoDeCardapioFlows.envioDeEmail();
        liberacaoDeCardapioFlows.cancelaTodosServicos();
        liberacaoDeCardapioFlows.envioDeEmail();
        liberacaoDeCardapioFlows.emitirRelatorioHistorico();
    }

}
